Last modified: 2013-04-22 16:15:53 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16362 - Add link to MediaWiki info action in UI
Add link to MediaWiki info action in UI
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: design, easy
Depends on: 38451
Blocks: 21572 38450 42238 41582
  Show dependency treegraph
 
Reported: 2008-11-16 21:53 UTC by Siebrand Mazeland
Modified: 2013-04-22 16:15 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Siebrand Mazeland 2008-11-16 21:53:42 UTC
http://www.mediawiki.org/wiki/Manual:$wgAllowPageInfo documents that the information can only be shown using a URL option. This feature should get a tab if set.
Comment 1 MZMcBride 2012-07-17 20:27:05 UTC
Siebrand, if you don't mind, I'm going to expand this bug from "$wgAllowPageInfo should display info tab" to "Add link to MediaWiki info action in UI". It may make sense to add a link to the "toolbox" section of the sidebar instead of a tab. But in either case, I don't believe relying on $wgAllowPageInfo is a good idea (I'll be filing a bug about killing that global variable shortly.)
Comment 2 MZMcBride 2012-09-03 21:12:24 UTC
Now that this action is enabled by default (cf. <https://www.mediawiki.org/wiki/MediaWiki?action=info>), I don't think it can be considered an enhancement for it to have UI exposure. Setting this bug to normal/normal.

Does anyone have a better suggestion than adding a sidebar link? If not, I think we should go ahead with that option (for now).
Comment 3 Alex Monk 2012-09-04 15:58:10 UTC
Gerrit change #22547
Comment 4 Alex Monk 2012-09-10 23:46:46 UTC
Now in Gerrit change #23381
Comment 5 Sam Reed (reedy) 2012-10-04 15:10:23 UTC
Merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links